curl --request GET \
--url https://api.partoo.co/v2/verifications/google-locations/{google_location_id}/options \
--header 'x-APIKey: <api-key>'import requests
url = "https://api.partoo.co/v2/verifications/google-locations/{google_location_id}/options"
headers = {"x-APIKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-APIKey': '<api-key>'}};
fetch('https://api.partoo.co/v2/verifications/google-locations/{google_location_id}/options', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"options": [
{
"method": "PHONE_CALL",
"phone_number": "+33187662490",
"email": "email.api@partoo.fr",
"full_name": "John Doe",
"full_address": "190 Rue Championnet, 75018 Paris",
"expected_delivery_days": 2,
"status": "AVAILABLE"
}
],
"message": null
}{
"errors": {
"authentication": "User not authenticated"
}
}{
"errors": {
"authorization": "Operation not allowed"
}
}{
"errors": {
"json": "Resource not found"
}
}Fetch Google Location Verification Options
This endpoint retrieves verification options for a specific Google location identified by google_location_id. It requires authentication and authorization to access. The user must have at least the role of a BUSINESS_MANAGER to use this endpoint.
Note that the response can return an empty options list, this can mean two things:
- There are really no verification options available for this location.
- Video verification is possible but not implemented through the API. In this case, you should ask the user to manually verify.
Authorizations
The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.
Path Parameters
Google location unique id on Partoo
Response
OK
The status of the response success, warning or error.
"success"
List of available verification options returned.
Show child attributes
Show child attributes
OPTIONAL Details of the message. Can be one of the following:
listing_verified: The location is already verified (returned with asuccessstatus).listing_in_review: The location is already in review for verification (returned with awarningstatus).listing_disabled: The location is disabled (returned with aerrorstatus).listing_suspended: The location is suspended (returned with aerrorstatus).listing_status_not_found: The location is not found (returned with aerrorstatus).
listing_verified, listing_in_review, listing_disabled, listing_suspended, listing_status_not_found null
Was this page helpful?